<nav class="navbar navbar-expand-md navbar-dark  bg-dark">
    <a class="navbar-brand" routerLink="/">CAMS<span style="font-style: italic">App</span></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
        aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">

            <!--
 <li sec:authorize="isAuthenticated()" class="nav-item">
  -->
            <li class="nav-item">
                <a id="nav-home" class="nav-link" routerLink="/">Home</a>
            </li>
            <!-- <li sec:authorize="isAuthenticated()" class="nav-item dropdown"> -->
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="nav-reports" role="button" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Reports
                </a>
                <div class="dropdown-menu" aria-labelledby="nav-reports">
                    <a class="dropdown-item" href="#">FM Reports</a>
                    <a class="dropdown-item" href="#">DPC Reports</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="#">Admin Reports</a>
                </div>
            </li>
            <!--  <div sec:authorize="hasRole('ADMIN')">-->
            <div>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="nav-administration" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Administration
                    </a>
                    <div class="dropdown-menu" aria-labelledby="nav-administration">
                        <a class="dropdown-item" routerLink="/admin/users">Users</a>
                        <a class="dropdown-item" routerLink="/admin/groups">Groups</a>
                        <a class="dropdown-item" href="#">Roles</a>
                    </div>
                </li>
            </div>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="nav-about" role="button" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    About
                </a>
                <div class="dropdown-menu" aria-labelledby="nav-about">
                    <a class="dropdown-item" href="#">About ReporterLite</a>
                    <a class="dropdown-item" href="#">Contact Us</a>
                </div>
            </li>
        </ul>


        <ul class="nav navbar-nav navbar-right">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    <span style="color:#007bff;">
                        <!-- <i class="fas fa-user" aria-hidden="true"></i> -->
                        <fa-icon icon="user"></fa-icon></span>
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown" style="right: 0px;left: auto;">
                    <a class="dropdown-item" href="#" style="cursor: text;">Guest</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="#">Settings</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="/logout">Sign Out</a>
                </div>
            </li>
        </ul>

    </div>
</nav>